Skip to main content
GET
/
v1
/
v2
/
conversations
/
{conversation_id}
/
engineering
/
turns
List the per-turn engineering-waterfall summaries for a v2 conversation
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/v2/conversations/{conversation_id}/engineering/turns \
  --header 'x-api-key: <api-key>'
[
  {
    "turn_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "schema_version": 123,
    "mode": "<string>",
    "turn_ttft_ms": 123,
    "perceived_ttft_ms": 123,
    "turn_duration_ms": 123,
    "tokens_out": 123,
    "router_model": "<string>",
    "router_ttft_ms": 123,
    "router_duration_ms": 123,
    "router_tokens_out": 123,
    "router_target_id": "<string>",
    "router_intent": "<string>",
    "router_fallback_applied": false,
    "speculation_savings_ms": 123,
    "wasted_tokens": 123,
    "flags": [
      "<string>"
    ]
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Response

Successful Response

turn_id
string<uuid>
required
conversation_id
string<uuid>
required
created_at
string<date-time>
required
schema_version
integer | null
mode
string | null
turn_ttft_ms
integer | null
perceived_ttft_ms
integer | null
turn_duration_ms
integer | null
tokens_out
integer | null
router_model
string | null
router_ttft_ms
integer | null
router_duration_ms
integer | null
router_tokens_out
integer | null
router_target_id
string | null
router_intent
string | null
router_fallback_applied
boolean
default:false
speculation_savings_ms
integer | null
wasted_tokens
integer | null
flags
string[]